CREATE TABLE CONFERENCEATTENDEE (ID BIGINT NOT NULL, ADDRESS1 VARCHAR(255), ADDRESS2 VARCHAR(255), CITY VARCHAR(255), EMAILADDRESS VARCHAR(255), FIRSTNAME VARCHAR(255), LASTNAME VARCHAR(255), ORGANIZATION VARCHAR(255), PASSWORD VARCHAR(255), SALUTATION VARCHAR(255), ADDRESSSTATE VARCHAR(255), TITLE VARCHAR(255), USERNAME VARCHAR(255), ZIP VARCHAR(255), SCHEDULE_ID BIGINT, PRIMARY KEY (ID));
CREATE UNIQUE INDEX CONFERENCEATTENDEE_UNIQUEID ON CONFERENCEATTENDEE (USERNAME);
CREATE TABLE SPEAKER (id VARCHAR(255) NOT NULL, company VARCHAR(255), firstName VARCHAR(255), jobTitle VARCHAR(255), lastName VARCHAR(255), PRIMARY KEY (id));
CREATE TABLE MYSCHEDULE (ID BIGINT NOT NULL, ATTENDEE_ID BIGINT, PRIMARY KEY (ID));
CREATE TABLE SEZZION (id VARCHAR(255) NOT NULL, abztract VARCHAR(1000), optionalTrack VARCHAR(80), primaryTrack VARCHAR(80), sezzionLength INTEGER, sezzionLevel VARCHAR(50), status VARCHAR(50), stream VARCHAR(25), title VARCHAR(100), track VARCHAR(100), type VARCHAR(100), PRIMARY KEY (id));
CREATE TABLE CONFERENCE (ID BIGINT NOT NULL, CONFERENCENAME VARCHAR(255), CONFERENCEEND DATE, CONFERENCESTART DATE, SYNOPSIS VARCHAR(2000), LOCALE VARCHAR(255), LOCATION VARCHAR(255), VENUE VARCHAR(255), PRIMARY KEY (ID));
CREATE TABLE SEZZION_SPEAKER (speakers_id VARCHAR(255) NOT NULL, sessions_id VARCHAR(255) NOT NULL, PRIMARY KEY (speakers_id, sessions_id));
CREATE TABLE MYSCHEDULE_SEZZION (MySchedule_ID BIGINT NOT NULL, sezzions_id VARCHAR(255) NOT NULL, PRIMARY KEY (MySchedule_ID, sezzions_id));
CREATE TABLE Sezzion_SEZZIONTIMES (stCapacity VARCHAR(5), stDate VARCHAR(25), stLength VARCHAR(20), stRegistered VARCHAR(4), stRoom VARCHAR(100), stTime VARCHAR(5), Sezzion_id VARCHAR(255));
ALTER TABLE CONFERENCEATTENDEE ADD CONSTRAINT CNFRNCTTNDEESCHDLD FOREIGN KEY (SCHEDULE_ID) REFERENCES MYSCHEDULE (ID);
ALTER TABLE MYSCHEDULE ADD CONSTRAINT MYSCHEDULETTNDEEID FOREIGN KEY (ATTENDEE_ID) REFERENCES CONFERENCEATTENDEE (ID);
ALTER TABLE SEZZION_SPEAKER ADD CONSTRAINT SZZNSPEAKERsssnsid FOREIGN KEY (sessions_id) REFERENCES SEZZION (id);
ALTER TABLE SEZZION_SPEAKER ADD CONSTRAINT SZZNSPEAKERspkrsid FOREIGN KEY (speakers_id) REFERENCES SPEAKER (id);
ALTER TABLE MYSCHEDULE_SEZZION ADD CONSTRAINT MYSCHDLSZZMySchdlD FOREIGN KEY (MySchedule_ID) REFERENCES MYSCHEDULE (ID);
ALTER TABLE MYSCHEDULE_SEZZION ADD CONSTRAINT MYSCHDLSZZONszznsd FOREIGN KEY (sezzions_id) REFERENCES SEZZION (id);
ALTER TABLE Sezzion_SEZZIONTIMES ADD CONSTRAINT SzznSZZNTIMESSzznd FOREIGN KEY (Sezzion_id) REFERENCES SEZZION (id);
CREATE TABLE SEQUENCE (SEQ_NAME VARCHAR(50) NOT NULL, SEQ_COUNT DECIMAL(15), PRIMARY KEY (SEQ_NAME));
INSERT INTO SEQUENCE(SEQ_NAME, SEQ_COUNT) values ('SEQ_GEN', 0);                                                                                