/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.glassfish.samples.conference;

import java.io.Serializable;
import javax.ejb.Stateful;
import javax.enterprise.context.SessionScoped;
import javax.inject.Named;

/**
 *
 * @author arungup
 */
@Stateful
@Named
@SessionScoped
public class MemoryLoadSessionBean implements Serializable {

    private String status;
    
    private static byte[] _DATA = new byte[1];

    public void increaseLoad() {
        _DATA = new byte[256 * 1000000];
        status = "Added a byte array of " + (_DATA.length / 1000) / 1000 + " MB";
        System.out.println(status);
    }

    public void decreaseLoad() {
        status = "Cleared a byte array of " + (_DATA.length / 1000) / 1000 + " MB";
        _DATA = new byte[1];
        try {
            System.gc();
        } catch (Exception e) { 
            
        }
        
        System.out.println(status);
    }

    public String getStatus() {
        return status;
    }
}
