/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.glassfish.samples.conference;

import java.io.Serializable;
import java.util.List;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.inject.Named;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.glassfish.samples.conference.entities.ConferenceAttendee;
import org.glassfish.samples.conference.entities.Sezzion;

/**
 *
 * @author aleftik
 */
@Stateless
@Named
public class MyScheduleBean implements Serializable {
    @PersistenceContext(name="ConferencePlannerPU")
    EntityManager em;
    
    @TransactionAttribute(TransactionAttributeType.REQUIRED)
    public void updateSchedule(ConferenceAttendee attendee) {
       em.merge(attendee);
    }
    
    @TransactionAttribute(TransactionAttributeType.SUPPORTS)
    public List<Sezzion> getAvailableSessions() {
     return (List<Sezzion>) em.createNamedQuery("Sezzion.findAllSezzions").getResultList();
    }    

    
}
